<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Naix
 */

get_header(); ?>

<div id="primary" class="content-area <?php naix_content_columns() ?>">
	<?php do_action( 'naix_before_blog_content' ); ?>
	<main id="main" class="site-main" role="main">


		<?php if ( have_posts() ) :
			$blog_layout = get_post_format();
			$post_class  = '';
			if ( naix_get_option( 'blog_layout' ) == 'text' ) {
				$blog_layout = 'text';
				$post_class  = 'col-md-8 col-sm-8 col-xs-12';
			}
			?>
			<div class="row">
				<?php do_action( 'naix_before_post_list' ); ?>
				<div class="naix-post-list <?php echo esc_attr( $post_class ); ?>">
					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php
						/* Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', $blog_layout );
						?>

					<?php endwhile; ?>


					<?php
					if ( naix_get_option( 'blog_layout' ) == 'text' ) {
						naix_paging_nav();
					}
					?>
				</div>
			</div>

			<?php if ( naix_get_option( 'blog_layout' ) != 'text' ) {
				naix_paging_nav();
			} ?>

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>

	</main>
	<!-- #main -->
</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
