<?php
/**
 * @package Naix
 */

global $naix_portfolio_loop;

$size             = 'naix-portfolio-grid';
$css_class        = 'portfolio-wapper';
$curent_portfolio = 0;
if ( isset( $naix_portfolio_loop['current_portfolio'] ) ) {
	$curent_portfolio = intval( $naix_portfolio_loop['current_portfolio'] );
}

if ( isset( $naix_portfolio_loop['size'] ) ) {
	$size = $naix_portfolio_loop['size'];
}

if ( isset( $naix_portfolio_loop['portfolio_class'] ) ) {
	$css_class .= ' ' . $naix_portfolio_loop['portfolio_class'];
}

$color_style = '';
if ( isset( $naix_portfolio_loop['hover_style'] ) ) {

	$hover_style = $naix_portfolio_loop['hover_style'];
	$css_class   .= ' portfolio-hover-' . $hover_style;

	if ( in_array( $hover_style, array( '1', '2' ) ) ) {
		$css_class .= ' portfolio-text-bottom';

	} elseif ( in_array( $hover_style, array( '3', '4', 'custom' ) ) ) {
		$css_class .= ' portfolio-text-center';
	}

	if ( $hover_style == 'custom' ) {
		$color = get_post_meta( get_the_ID(), 'background_color', true );
		if ( $color ) {
			$color_style = sprintf( 'style=background-color:%s', esc_attr( $color ) );
		}

		$text_color = get_post_meta( get_the_ID(), 'text_color', true );
		if ( $text_color ) {
			$css_class .= ' portfolio-text-' . $text_color;
		}
	}
}

$portfolio_layout = '';
$bg_image_list    = '';

if ( isset( $naix_portfolio_loop['portfolio_layout'] ) ) {
	$portfolio_layout = $naix_portfolio_loop['portfolio_layout'];
	if ( in_array( $portfolio_layout, array( 'masonry', 'free' ) ) && $curent_portfolio == 0 ) {
		echo '<div class="portfolio-sizer"></div><div class="gutter-sizer"></div>';
	}

	if ( $portfolio_layout == 'list' ) {
		$image = get_the_post_thumbnail_url( get_the_ID(), 'full' );
		if ( $image ) {
			$bg_image_list = sprintf( '<div class="featured-image" style="background-image:url(%s)"></div>', esc_url( $image ) );
		}
	}
}

$image_html = '';
if ( isset( $naix_portfolio_loop['size_registered'] ) && ! intval( $naix_portfolio_loop['size_registered'] ) ) {
	if ( function_exists( 'wpb_getImageBySize' ) ) {
		$image = wpb_getImageBySize(
			array(
				'attach_id'  => get_post_thumbnail_id( get_the_ID() ),
				'thumb_size' => $size,
			)
		);

		if ( $image['thumbnail'] ) {
			$image_html = $image['thumbnail'];
		} elseif ( $image['p_img_large'] ) {
			$image_html = sprintf( '<img src="%s">', esc_url( $image['p_img_large'][0] ) );
		}

	}
}

if ( empty( $image_html ) ) {
	$image_html = wp_get_attachment_image( get_post_thumbnail_id( get_the_ID() ), $size );
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $css_class ); ?>>
    <div class="entry-content">
        <span class="overlay" <?php echo esc_attr( $color_style ); ?>></span>
        <a class="entry-link" href="<?php echo esc_url( get_the_permalink() ); ?>"></a>
		<?php
		if ( naix_get_option( 'portfolio_layout' ) != 'list' ) :
			?>
            <div class="entry-format">
				<?php echo ! empty( $image_html ) ? $image_html : ''; ?>
            </div>
		<?php endif; ?>

		<?php echo ! empty( $bg_image_list ) ? $bg_image_list : ''; ?>
        <header class="entry-header">
			<?php
			$term_list      = wp_get_post_terms( get_the_ID(), 'portfolio_category', array( 'fields' => 'names' ) );
			$term_list_html = '';
			if ( ! is_wp_error( $term_list ) && $term_list ) {
				$term_list_html = implode( ', ', $term_list );
			}
			?>
            <span class="entry-cats"><?php echo ! empty( $term_list_html ) ? $term_list_html : ''; ?></span>

            <h2 class="entry-title"><?php echo get_the_title(); ?></h2>
            <span class="entry-cats-bottom"><?php echo ! empty( $term_list_html ) ? $term_list_html : ''; ?></span>
        </header>
    </div>
</article><!-- #post-## -->
