<?php
/**
 * @package Naix
 */

global $wp_query;
$size      = 'naix-blog-grid';
$css_class = 'col-md-4 col-sm-6 col-xs-6';

$blog_layout = naix_get_option( 'blog_layout' );

if ( $blog_layout == 'masonry' ) {
	$css_class = 'col-lg-3 col-md-4 col-sm-6 col-xs-6';
	$size      = 'naix-blog-masonry';
} elseif ( in_array( $blog_layout, array( 'sidebar-content', 'content-sidebar' ) ) ) {
	$css_class = 'col-md-6 col-sm-6 col-xs-6';

	if ( $wp_query->current_post == 0 ) {
		$css_class = 'col-md-12 col-sm-12 col-xs-12 blog-first';
		$size      = 'naix-blog-sidebar';
	}
}

$css_class .= ' blog-wapper';

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $css_class ); ?>>
	<?php naix_entry_thumbnail( $size ); ?>
	<div class="categories-links">
		<?php the_category( ', ' ); ?>
	</div>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	</header>

	<?php if ( $blog_layout == 'masonry' ) : ?>
		<div class="entry-desc">
			<?php the_excerpt(); ?>
		</div>
	<?php endif; ?>

	<!-- .entry-content -->
	<div class="entry-metas">
		<?php naix_posted_on(); ?>
	</div>

	<?php if ( in_array( $blog_layout, array( 'sidebar-content', 'content-sidebar' ) ) || is_search() ) : ?>
		<div class="entry-desc">
			<?php the_excerpt(); ?>
		</div>
	<?php endif; ?>
</article><!-- #post-## -->
