<?php
/**
 * The template part for displaying the main logo on header
 *
 * @package Naix
 */

$logo        = '';
$logo_sticky = '';
$css_class   = '';
$logo        = naix_get_option( 'logo' );

if ( naix_is_header_transparent() ) {
	$logo_sticky = $logo;

	$logo_transparent = naix_get_option( 'logo_light' );
	$logo             = $logo_transparent ? $logo_transparent : $logo;

	if ( ! $logo_sticky ) {
		$logo_sticky = get_template_directory_uri() . '/img/logo/logo.png';
	}

	$logo_sticky = sprintf( '<img class="logo-light" alt="%s" src="%s"/>', esc_attr( get_bloginfo( 'name' ) ), esc_url( $logo_sticky ) );
	$css_class   = 'has-logo-sticky';
}

if ( ! $logo ) {
	$logo = get_template_directory_uri() . '/img/logo/logo.png';

	if ( ( naix_is_homepage() ) ) {
		if ( is_page_template( 'template-home-split.php' ) ) {
			$logo = get_template_directory_uri() . '/img/logo/logo.png';
		} elseif ( naix_get_option( 'header_text_color' ) == 'light' ) {
			$logo = get_template_directory_uri() . '/img/logo/logo-light.png';
		}
	} elseif ( is_singular( 'portfolio_project' ) ) {
		if ( intval( naix_get_option( 'single_portfolio_page_header' ) ) ) {
			if ( naix_single_portfolio_layout() == '1' ) {
				$logo = get_template_directory_uri() . '/img/logo/logo-light.png';
			}
		}

	} elseif ( is_page_template( 'template-coming-soon-page.php' ) ) {
		$logo = get_template_directory_uri() . '/img/logo/logo-light.png';
	}

}

?>
<div class="logo <?php echo esc_attr( $css_class ); ?>">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
        <img class="logo-dark" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"
             src="<?php echo esc_url( $logo ); ?>"/>
		<?php echo ! empty( $logo_sticky ) ? $logo_sticky : ''; ?>
    </a>
</div>

<?php
printf(
	'<%1$s class="site-title"><a href="%2$s" rel="home">%3$s</a></%1$s>',
	is_home() || is_front_page() ? 'h1' : 'p',
	esc_url( home_url( '/' ) ),
	get_bloginfo( 'name' )
);
?>
<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>