<?php

if ( ! intval( naix_get_option( 'page_header_shop' ) ) ) {
	return;
}

$sliders = naix_get_option( 'page_header_slider_shop' );

if ( ! $sliders ) {
	return;
}

$output = array();
foreach ( $sliders as $slider ) {
	$bg = '';
	if ( isset( $slider['image'] ) && $slider['image'] ) {
		$image = wp_get_attachment_image_src( $slider['image'], 'full' );

		if ( $image ) {
			$bg = 'style="background-image:url(' . esc_url( $image[0] ) . ')"';
		}
	}

	$title = '';
	if ( isset( $slider['title'] ) && $slider['title'] ) {
		$title = sprintf( '<h3>%s</h3>', wp_kses( $slider['title'], wp_kses_allowed_html( 'post' ) ) );
	}

	if ( isset( $slider['desc'] ) && $slider['desc'] ) {
		$title .= sprintf( '<p>%s</p>', wp_kses( $slider['desc'], wp_kses_allowed_html( 'post' ) ) );
	}

	$item_html = '';

	if ( $title ) {
		$item_html .= sprintf( '<div class="page-header-content">%s</div>', $title );
	}

	if ( isset( $slider['link_url'] ) && $slider['link_url'] ) {
		$item_html = sprintf( '<a class="link" href="%s"></a> %s', esc_url( $slider['link_url'] ), $item_html );
	}

	$output[] = sprintf( '<li class="ph-slider"><div class="featured-img" %s></div>%s</li>', $bg, $item_html );

}

if ( ! $output ) {
	return;
}

$speed    = intval( naix_get_option( 'page_header_slider_autoplay' ) );
$autoplay = 0;
if ( $speed ) {
	$autoplay = 1;
} else {
	$speed = 500;
}


$scrollTo = naix_get_option( 'page_header_slider_bot_text' );

?>

<div class="page-header page-header-sliders" data-speed="<?php echo esc_attr( $speed ); ?>" data-auto="<?php echo esc_attr( $autoplay ); ?>">
	<div class="page-header-inner">
		<ul>
			<?php
			echo implode( ' ', $output );
			?>
		</ul>
		<?php if ( $scrollTo ) : ?>
			<div class="ph-bot-text">
				<a class="bot-link" href="#"><?php echo wp_kses( $scrollTo, wp_kses_allowed_html( 'post' ) ); ?><i class="icon-chevron-down"></i> </a>
			</div>
		<?php endif; ?>
	</div>
</div>
